Bug 134789 - latest version of mkisofs fails to make bootable cds
latest version of mkisofs fails to make bootable cds
Product: Fedora
Classification: Fedora
Component: cdrtools (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
  Show dependency treegraph
Reported: 2004-10-06 06:43 EDT by David Jansen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-13 05:16:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Jansen 2004-10-06 06:43:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)

Description of problem:
Since the last update of mkisofs, creating a bootable cd doesn't work
any more. The cd is written, and the files are all there, only booting
from such a cd doesn't work.
I have tested that this is a mkisofs bug by: 
1) writing an existing bootable iso to cd, this works, and the cd is
bootable and 
2) reinstalling the mkisofs that came on the FC2 cds (2.01-0.a27.3)
and this still produces bootable iso images
3) after that experiment, I copied mkisofs 2.01-0.a27.3 to
/usr/local/bin, and upgraded back to the latest versions, so now I can
use /usr/local/bin/mkisofs to make bootable isos and use the latest
mkisofs for everything else.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create an iso image, in this case an update of the boot.iso with a
kickstart file on it [mkisofs -o fedoraboot.iso -b isolinux.bin -c
boot.cat -no-emul-boot -boot-load-size 4 -boot-info-table -R -J -v -T
2. Write this iso to cd
3. Attempt to boot a pc with this cd

Actual Results:  pc doesn't boot from cd, after some time it continues
with its next boot device

Expected Results:  pc should boot from cd (in this case: boot into
anaconda with a custom kickstart file)

Additional info:

Note: bugzilla has only cdrtools as a component to file this bug
against, not mkisofs and cdrecord, which are the names of the rpms
Comment 1 Harald Hoyer 2004-10-06 08:03:04 EDT
hmm.. worksforme... strange... just created a boot cd..
Comment 2 David Jansen 2005-07-13 05:16:19 EDT
bug is no longer present in FC3 & FC4 so bug can be closed

Note You need to log in before you can comment on or make changes to this bug.